import { AppRouterCacheProvider } from '@mui/material-nextjs/v13-appRouter'

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body>
        <AppRouterCacheProvider>
        {/* responsible for collecting the CSS generated by MUI System on the server, 
        as Next.js is streaming chunks of the .html page to the client. */}
          {children}
        </AppRouterCacheProvider>       
      </body>
    </html>
  );
}
